#ifndef HOMESCREENMODEL_H
#define HOMESCREENMODEL_H

#include <QAbstractListModel>
#include <QPair>
#include <QString>

class HomescreenModel : public QAbstractListModel
{
    Q_OBJECT

public:
    enum Roles {
        NameRole = Qt::UserRole + 1,
        IconSourceRole
    };

public:
    explicit HomescreenModel(QObject *parent = 0);
    ~HomescreenModel();
#if QT_VERSION >= 0x050000
    QHash<int, QByteArray> roleNames() const;
#endif
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    QVariant data(const QModelIndex &index, int role) const;
#if QT_VERSION >= 0x040600
    Q_INVOKABLE QVariant data(int row, const QByteArray &role) const;
#endif
    
private:
    QList< QPair<QString, QString> > m_list;
#if QT_VERSION >= 0x040600
    QHash<int, QByteArray> m_roleNames;
#endif
};

#endif // HOMESCREENMODEL_H
